import { Component ,ChangeDetectorRef } from '@angular/core';



@Component({
  selector: 'app-side-panel-test',
  template: '<div><a (click)="handleOpen($event)" href="#">open</a> <side-panel [resizeable]="true" [visible]="show"><a (click)="handleClose($event)" href="#">close</a></side-panel></div>'  
})
export class AppSidePanelTestComponent {

  public show:boolean = false;

  constructor(public cr:ChangeDetectorRef ) {

  }

  handleClose(event:MouseEvent) {
    event.preventDefault();
    this.show=false;
    //this.cr.detectChanges();
  }

  handleOpen(event:MouseEvent)
  {
    event.preventDefault();
    this.show=true;
    //this.cr.detectChanges();
  }
}